
QGIS Application - Bug report #6660

Import and drop table problem

2012-11-07 11:58 PM - Luca Lanteri

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: WINDOWS Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 15837

Description

Some problem with DBManager plugin during import data from postgres to spatialite.

when I drop a table and I try to import a new table with the same name the plugin says "table already exist":

    1. import a table

    2. drop the table

    3. import the table again

during import if I try to drop the table checking "drop existing one" the import seems to work but some geometry were lost. 

    1. import a table

    2. modify some geometry in source table

    3. import table again checking "drop existing one"

History

#1 - 2012-11-15 05:04 AM - Luca Lanteri

In order to bypass the problem is it possible to open the database with spatialite-gui, delete the table and optimize the database.

#2 - 2012-11-28 04:19 PM - Giuseppe Sucameli

The problem is due to the connection QGis keeps opened.

#3 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2018-02-24 11:26 PM - Luca Lanteri

Tested on QGIS 3.0. It works fine from browser but the problem persists from dbmanager.

#5 - 2018-02-25 11:26 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

- Description updated
